/** 
 *******************************************************************************
 * @file    bsp_com.h
 * @brief   Board Support Package External Reference Declaration. \n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2020
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef __BSP_COM_H
#define __BSP_COM_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/

/**
 *  @addtogroup BSP
 *  @{
 */

/** 
 *  @addtogroup BSP_COM
 *  @{
 */
/*------------------------------------------------------------------------------*/
/*  Macro Function                                                              */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_COM_Private_define BSP_COM Private Define
 *  @{
 */

 /** 
 *  @addtogroup  GPIO_EN GPIO Enable/Disable
 *  @brief     GPIO Enable/Disable
 *  @{
 */
#define GPIO_DISABLE                    ((uint32_t)0x00000000)    /*!< Disable                 */
#define GPIO_ENABLE                     ((uint32_t)0x00000001)    /*!< Enable                  */
/** 
 *  @}
 */ /* End of group GPIO_EN */

/** 
 *  @}
 */ /* End of group BSP_COM_Private_define */


/*------------------------------------------------------------------------------*/
/*  Configuration                                                               */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_COM_config BSP_COM Config
 *  @{
 */

/* no define */

/** 
 *  @}
 */ /* End of group BSP_COM_config */


/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_COM_Private_enum
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_LED_H_Exported_enum */


/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_COM_Private_typedef BSP_COM Private Typedef
 *  @{
 */
/**
 *  @}
 */ /* End of group BSP_COM_Private_typedef */

 
/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_COM_Exported_functions BSP_COM Exported Functions
 *  @{
 */


/** 
 *  @}
 */ /* End of group BSP_COM_Exported_functions */

/**
 *  @}
 */ /* End of group BSP_COM */

/**
 *  @} 
 */ /* End of group BSP */

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __BSP_COM_H */

