/** 
 *******************************************************************************
 * @file    bsp_config_aenc32.c
 * @brief   This file provides all the functions prototypes for A-ENC32 Driver.\n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2020
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "bsp_config_aenc32.h"

#if defined(__BSP_CONFIG_AENC32_H)

/**
 *  @addtogroup BSP BSP
 *  @{
 */


/** 
 *  @addtogroup BSP_CONFIG_AENC32 BSP_CONFIG_AENC32
 *  @{
 */


/*------------------------------------------------------------------------------*/
/*  Macro Function                                                              */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_AENC32_Private_macro BSP_CONFIG_AENC32 Private Macro
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_AENC32_Private_macro */


/*------------------------------------------------------------------------------*/
/*  Configuration                                                               */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_AENC32_Private_config BSP_CONFIG_AENC32 Private Config
 *  @{
 */


/** 
 *  @}
 */ /* End of group BSP_CONFIG_AENC32_Private_config */


/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_AENC32_Private_define BSP_CONFIG_AENC32 Private Define
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_AENC32_Private_define */

/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_AENC32_Private_enum BSP_CONFIG_AENC32 Private Enum
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_AENC32_Private_enum */

/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_AENC32_Private_typedef BSP_CONFIG_AENC32 Private Typedef
 *  @{
 */
/**
 *  @}
 */ /* End of group BSP_CONFIG_AENC32_Private_typedef */


/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_AENC32_Exported_functions BSP_CONFIG_AENC32 Exported Functions
 *  @{
 */
/*--------------------------------------------------*/
/** 
  * @brief  GPIO_ENC_CH0_Config(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_ENC_CH0_Config(void)
{

    BSP_ENC1_A_FR = GPIO_ENABLE;     /* FR enable */
    BSP_ENC1_A_IE = GPIO_ENABLE;     /* Select input mode */

    BSP_ENC1_B_FR = GPIO_ENABLE;     /* FR enable */
    BSP_ENC1_B_IE = GPIO_ENABLE;     /* Select input mode */

}

/** 
 *  @}
 */ /* End of group BSP_CONFIG_AENC32_Exported_functions */

/**
 *  @}
 */ /* End of group BSP_CONFIG_AENC32 */

/**
 *  @} 
 */ /* End of group BSP */

#endif /* defined(__BSP_CONFIG_AENC32_H) */

#ifdef __cplusplus
}
#endif /* __cplusplus */


