/** 
 *******************************************************************************
 * @file    bsp_config_aenc32.h
 * @brief   This file provides all the functions prototypes for A-ENC32 Driver.\n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2020
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef __BSP_CONFIG_AENC32_H
#define __BSP_CONFIG_AENC32_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "bsp.h"

/**
 *  @addtogroup BSP BSP
 *  @{
 */


/** 
 *  @addtogroup BSP_CONFIG_AENC32 BSP_CONFIG_AENC32
 *  @{
 */


/*------------------------------------------------------------------------------*/
/*  Macro Function                                                              */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_AENC32_Private_macro BSP_CONFIG_AENC32 Private Macro
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_AENC32_Private_macro */


/*------------------------------------------------------------------------------*/
/*  Configuration                                                               */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_AENC32_Private_config BSP_CONFIG_AENC32 Private Config
 *  @{
 */


/** 
 *  @}
 */ /* End of group BSP_CONFIG_AENC32_Private_config */


/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_AENC32_Private_define BSP_CONFIG_AENC32 Private Define
 *  @{
 */

#define BSP_ENC1_A_FR        TSB_PN_FR6_PN0F6       /*!< function register */
#define BSP_ENC1_A_IE        TSB_PN_IE_PN0IE        /*!< input enable register */

#define BSP_ENC1_B_FR        TSB_PN_FR6_PN1F6       /*!< function register */
#define BSP_ENC1_B_IE        TSB_PN_IE_PN1IE        /*!< input enable register */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_AENC32_Private_define */

/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_AENC32_Private_emum BSP_CONFIG_AENC32 Private Emum
 *  @{
 */


/** 
 *  @}
 */ /* End of group BSP_CONFIG_AENC32_Private_emum */

/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_AENC32_Private_typedef BSP_CONFIG_AENC32 Private Typedef
 *  @{
 */
/**
 *  @}
 */ /* End of group BSP_CONFIG_AENC32_Private_typedef */


/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_AENC32_Exported_functions BSP_CONFIG_AENC32 Exported Functions
 *  @{
 */
void GPIO_ENC_CH0_Config(void);

/** 
 *  @}
 */ /* End of group BSP_CONFIG_AENC32_Exported_functions */

/**
 *  @}
 */ /* End of group BSP_CONFIG_AENC32 */

/**
 *  @} 
 */ /* End of group BSP */

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __BSP_CONFIG_AENC32_H */

