/** 
 *******************************************************************************
 * @file    bsp_config_ei2c.c
 * @brief   This file provides all the functions prototypes for EI2C Driver.\n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2020
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "bsp_config_ei2c.h"

#if defined(__BSP_CONFIG_EI2C_H)

/**
 *  @addtogroup BSP BSP
 *  @{
 */


/** 
 *  @addtogroup BSP_CONFIG_EI2C BSP_CONFIG_EI2C
 *  @{
 */


/*------------------------------------------------------------------------------*/
/*  Macro Function                                                              */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_EI2C_Private_macro BSP_CONFIG_EI2C Private Macro
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_EI2C_Private_macro */


/*------------------------------------------------------------------------------*/
/*  Configuration                                                               */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_EI2C_Private_config BSP_CONFIG_EI2C Private Config
 *  @{
 */


/** 
 *  @}
 */ /* End of group BSP_CONFIG_EI2C_Private_config */


/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_EI2C_Private_define BSP_CONFIG_EI2C Private Define
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_EI2C_Private_define */

/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_EI2C_Private_enum BSP_CONFIG_EI2C Private Enum
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_EI2C_Private_enum */

/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_EI2C_Private_typedef BSP_CONFIG_EI2C Private Typedef
 *  @{
 */
/**
 *  @}
 */ /* End of group BSP_CONFIG_EI2C_Private_typedef */


/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_EI2C_Exported_functions BSP_CONFIG_EI2C Exported Functions
 *  @{
 */
/*--------------------------------------------------*/
/** 
  * @brief  GPIO_EI2C1_Master_Config(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_EI2C1_Master_Config(void)
{

    BSP_EI2C1_SCL_FR = GPIO_ENABLE;       /* FR enable */
    BSP_EI2C1_SCL_CR = GPIO_ENABLE;       /* output enable */
    BSP_EI2C1_SCL_OD = GPIO_ENABLE;       /* open drain enable */
    BSP_EI2C1_SCL_IE = GPIO_ENABLE;       /* input enable */

    BSP_EI2C1_SDA_FR = GPIO_ENABLE;       /* FR enable */
    BSP_EI2C1_SDA_CR = GPIO_ENABLE;       /* output enable */
    BSP_EI2C1_SDA_OD = GPIO_ENABLE;       /* open drain enable */
    BSP_EI2C1_SDA_IE = GPIO_ENABLE;       /* input enable */

}

/*--------------------------------------------------*/
/** 
  * @brief  GPIO_EI2C1_Slave_Config(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_EI2C1_Slave_Config(void)
{

    BSP_EI2C1_SCL_FR = GPIO_ENABLE;       /* FR enable */
    BSP_EI2C1_SCL_CR = GPIO_ENABLE;       /* output enable */
    BSP_EI2C1_SCL_OD = GPIO_ENABLE;       /* open drain enable */
    BSP_EI2C1_SCL_IE = GPIO_ENABLE;       /* input enable */

    BSP_EI2C1_SDA_FR = GPIO_ENABLE;       /* FR enable */
    BSP_EI2C1_SDA_CR = GPIO_ENABLE;       /* output enable */
    BSP_EI2C1_SDA_OD = GPIO_ENABLE;       /* open drain enable */
    BSP_EI2C1_SDA_IE = GPIO_ENABLE;       /* input enable */

}

/** 
 *  @}
 */ /* End of group BSP_CONFIG_EI2C_Exported_functions */

/**
 *  @}
 */ /* End of group BSP_CONFIG_EI2C */

/**
 *  @} 
 */ /* End of group BSP */

#endif /* defined(__BSP_CONFIG_EI2C_H) */

#ifdef __cplusplus
}
#endif /* __cplusplus */


