/** 
 *******************************************************************************
 * @file    bsp_config_ei2c.h
 * @brief   This file provides all the functions prototypes for EI2C Driver.\n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2020
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef __BSP_CONFIG_EI2C_H
#define __BSP_CONFIG_EI2C_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "bsp.h"

/**
 *  @addtogroup BSP BSP
 *  @{
 */


/** 
 *  @addtogroup BSP_CONFIG_EI2C BSP_CONFIG_EI2C
 *  @{
 */


/*------------------------------------------------------------------------------*/
/*  Macro Function                                                              */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_EI2C_Private_macro BSP_CONFIG_EI2C Private Macro
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_EI2C_Private_macro */


/*------------------------------------------------------------------------------*/
/*  Configuration                                                               */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_EI2C_Private_config BSP_CONFIG_EI2C Private Config
 *  @{
 */


/** 
 *  @}
 */ /* End of group BSP_CONFIG_EI2C_Private_config */


/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_EI2C_Private_define BSP_CONFIG_EI2C Private Define
 *  @{
 */

#define BSP_EI2C1_SCL_FR      TSB_PD_FR3_PD4F3        /*!< function register */
#define BSP_EI2C1_SCL_CR      TSB_PD_CR_PD4C          /*!< output enable register */
#define BSP_EI2C1_SCL_OD      TSB_PD_OD_PD4OD         /*!< open drain enable register */
#define BSP_EI2C1_SCL_IE      TSB_PD_IE_PD4IE         /*!< input enable register */

#define BSP_EI2C1_SDA_FR      TSB_PD_FR3_PD3F3        /*!< function register */
#define BSP_EI2C1_SDA_CR      TSB_PD_CR_PD3C          /*!< output enable register */
#define BSP_EI2C1_SDA_OD      TSB_PD_OD_PD3OD         /*!< open drain enable register */
#define BSP_EI2C1_SDA_IE      TSB_PD_IE_PD3IE         /*!< input enable register */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_EI2C_Private_define */

/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_EI2C_Private_emum BSP_CONFIG_EI2C Private Emum
 *  @{
 */


/** 
 *  @}
 */ /* End of group BSP_CONFIG_EI2C_Private_emum */

/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_EI2C_Private_typedef BSP_CONFIG_EI2C Private Typedef
 *  @{
 */
/**
 *  @}
 */ /* End of group BSP_CONFIG_EI2C_Private_typedef */


/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_EI2C_Exported_functions BSP_CONFIG_EI2C Exported Functions
 *  @{
 */
void GPIO_EI2C1_Master_Config(void);
void GPIO_EI2C1_Slave_Config(void);

/** 
 *  @}
 */ /* End of group BSP_CONFIG_EI2C_Exported_functions */

/**
 *  @}
 */ /* End of group BSP_CONFIG_EI2C */

/**
 *  @} 
 */ /* End of group BSP */

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __BSP_CONFIG_EI2C_H */

