/** 
 *******************************************************************************
 * @file    bsp_config_led.c
 * @brief   This file provides all the functions prototypes for LED Driver.\n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2020
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "bsp_config_led.h"

#if defined(__BSP_CONFIG_LED_H)

/**
 *  @addtogroup BSP BSP
 *  @{
 */


/** 
 *  @addtogroup BSP_CONFIG_LED BSP_CONFIG_LED
 *  @{
 */


/*------------------------------------------------------------------------------*/
/*  Macro Function                                                              */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_LED_Private_macro BSP_CONFIG_LED Private Macro
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_LED_Private_macro */


/*------------------------------------------------------------------------------*/
/*  Configuration                                                               */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_LED_Private_config BSP_CONFIG_LED Private Config
 *  @{
 */


/** 
 *  @}
 */ /* End of group BSP_CONFIG_LED_Private_config */


/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_LED_Private_define BSP_CONFIG_LED Private Define
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_LED_Private_define */

/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_LED_Private_enum BSP_CONFIG_LED Private Enum
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_LED_Private_enum */

/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_LED_Private_typedef BSP_CONFIG_LED Private Typedef
 *  @{
 */
/**
 *  @}
 */ /* End of group BSP_CONFIG_LED_Private_typedef */


/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_LED_Exported_functions BSP_CONFIG_LED Exported Functions
 *  @{
 */
/*--------------------------------------------------*/
/** 
  * @brief  GPIO_LED_Config(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_LED_Config(void)
{

    BSP_LED_1_DATA = GPIO_DISABLE;  /* Turn off BSP_LED_1 */
    BSP_LED_1_CR   = GPIO_ENABLE;   /* Select output mode on BSP_LED_1 */

    BSP_LED_2_DATA = GPIO_DISABLE;  /* Turn off BSP_LED_2 */
    BSP_LED_2_CR   = GPIO_ENABLE;   /* Select output mode on BSP_LED_2 */

    BSP_LED_3_DATA = GPIO_DISABLE;  /* Turn off BSP_LED_3 */
    BSP_LED_3_CR   = GPIO_ENABLE;   /* Select output mode on BSP_LED_3 */

    BSP_LED_4_DATA = GPIO_DISABLE;  /* Turn off BSP_LED_4 */
    BSP_LED_4_CR   = GPIO_ENABLE;   /* Select output mode on BSP_LED_4 */

}

/*--------------------------------------------------*/
/** 
  * @brief  void GPIO_LED1_ON(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_LED1_ON(void)
{
    BSP_LED_1_DATA = LED_ON;  /* Turn on BSP_LED_1 */
}

/*--------------------------------------------------*/
/** 
  * @brief  void GPIO_LED2_ON(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_LED2_ON(void)
{
    BSP_LED_2_DATA = LED_ON;  /* Turn on BSP_LED_2 */
}

/*--------------------------------------------------*/
/** 
  * @brief  void GPIO_LED3_ON(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_LED3_ON(void)
{

    BSP_LED_3_DATA = LED_ON;  /* Turn on BSP_LED_3 */
}

/*--------------------------------------------------*/
/** 
  * @brief  void GPIO_LED4_ON(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_LED4_ON(void)
{
    BSP_LED_4_DATA = LED_ON;  /* Turn on BSP_LED_4 */
}

/*--------------------------------------------------*/
/** 
  * @brief  void GPIO_LED1_OFF(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_LED1_OFF(void)
{
    BSP_LED_1_DATA = LED_OFF;  /* Turn off BSP_LED_1 */
}

/*--------------------------------------------------*/
/** 
  * @brief  void GPIO_LED2_OFF(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_LED2_OFF(void)
{
    BSP_LED_2_DATA = LED_OFF;  /* Turn off BSP_LED_2 */
}

/*--------------------------------------------------*/
/** 
  * @brief  void GPIO_LED3_OFF(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_LED3_OFF(void)
{
    BSP_LED_3_DATA = LED_OFF;  /* Turn off BSP_LED_3 */
}

/*--------------------------------------------------*/
/** 
  * @brief  void GPIO_LED4_OFF(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_LED4_OFF(void)
{
    BSP_LED_4_DATA = LED_OFF;  /* Turn off BSP_LED_4 */
}

/*--------------------------------------------------*/
/** 
  * @brief  void GPIO_LED1_FLIP(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_LED1_FLIP(void)
{
    BSP_LED_1_DATA ^= LED_ON;  /* Flip BSP_LED_1 */
}

/*--------------------------------------------------*/
/** 
  * @brief  void GPIO_LED2_FLIP(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_LED2_FLIP(void)
{
    BSP_LED_2_DATA ^= LED_ON;  /* Flip BSP_LED_2 */
}

/*--------------------------------------------------*/
/** 
  * @brief  void GPIO_LED3_FLIP(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_LED3_FLIP(void)
{
    BSP_LED_3_DATA ^= LED_ON;  /* Flip BSP_LED_3 */
}

/*--------------------------------------------------*/
/** 
  * @brief  void GPIO_LED4_FLIP(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_LED4_FLIP(void)
{
    BSP_LED_4_DATA ^= LED_ON;  /* Flip BSP_LED_4 */
}


/* Self-Diagnosis */
/*--------------------------------------------------*/
/** 
  * @brief  void GPIO_LED4_FLIP(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
bool Get_param_DIO_LED2_CR(void)
{

    return (BSP_LED_2_CR);

}

/*--------------------------------------------------*/
/** 
  * @brief  void GPIO_LED4_FLIP(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void Set_param_DIO_LED2_SSW1(uint32_t ssw1)
{

    BSP_LED_2_DATA = ssw1;

}

/** 
 *  @}
 */ /* End of group BSP_CONFIG_LED_Exported_functions */

/**
 *  @}
 */ /* End of group BSP_CONFIG_LED */

/**
 *  @} 
 */ /* End of group BSP */

#endif /* defined(__BSP_CONFIG_LED_H) */

#ifdef __cplusplus
}
#endif /* __cplusplus */


