/** 
 *******************************************************************************
 * @file    bsp_config_sw.c
 * @brief   This file provides all the functions prototypes for SW Driver.\n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2020
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "bsp_config_sw.h"

#if defined(__BSP_CONFIG_SW_H)

/**
 *  @addtogroup BSP BSP
 *  @{
 */


/** 
 *  @addtogroup BSP_CONFIG_SW BSP_CONFIG_SW
 *  @{
 */


/*------------------------------------------------------------------------------*/
/*  Macro Function                                                              */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_SW_Private_macro BSP_CONFIG_SW Private Macro
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_SW_Private_macro */


/*------------------------------------------------------------------------------*/
/*  Configuration                                                               */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_SW_Private_config BSP_CONFIG_SW Private Config
 *  @{
 */


/** 
 *  @}
 */ /* End of group BSP_CONFIG_SW_Private_config */


/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_SW_Private_define BSP_CONFIG_SW Private Define
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_SW_Private_define */

/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_SW_Private_enum BSP_CONFIG_SW Private Enum
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_SW_Private_enum */

/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_SW_Private_typedef BSP_CONFIG_SW Private Typedef
 *  @{
 */
/**
 *  @}
 */ /* End of group BSP_CONFIG_SW_Private_typedef */


/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_SW_Exported_functions BSP_CONFIG_SW Exported Functions
 *  @{
 */
/*--------------------------------------------------*/
/** 
  * @brief  GPIO_SW_Config(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_SW_Config(void)
{

    BSP_PSW_1_IE = GPIO_ENABLE;         /* Select input mode */
    BSP_PSW_2_IE = GPIO_ENABLE;         /* Select input mode */

    BSP_PSW_5_IE = GPIO_ENABLE;         /* Select input mode */

    BSP_SSW_1_IE = GPIO_ENABLE;         /* Select input mode */
    BSP_SSW_2_IE = GPIO_ENABLE;         /* Select input mode */
    BSP_SSW_3_IE = GPIO_ENABLE;         /* Select input mode */
    BSP_SSW_4_IE = GPIO_ENABLE;         /* Select input mode */

}

/*--------------------------------------------------*/
/** 
  * @brief  GPIO_SW_EXTINT_Config(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_SW_EXTINT_Config(void)
{

    BSP_PSW_EXTINT_IE = GPIO_ENABLE;         /* Select input mode */

}

/*--------------------------------------------------*/
/** 
<<<<<<< .mine
  * @brief  DIO_DIGITALIO_Config_IE(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void DIO_DIGITALIO_Config_IE(void)
{

    BSP_DIAGNOSIS_DIGITALIO_IE = GPIO_ENABLE;         /* Select input mode */

}

/*--------------------------------------------------*/
/** 
  * @brief  DIO_DIGITALIO_High(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void DIO_DIGITALIO_High(void)
{

    BSP_DIAGNOSIS_DIGITALIO_DATA = GPIO_ENABLE;     /* output High signal */

}

/*--------------------------------------------------*/
/** 
  * @brief  Get_param_DIGITALIO_output(void)
  * @param  -
  * @return BSP_DIAGNOSIS_DIGITALIO_DATA (High or Low)
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
bool Get_param_DIGITALIO_output(void)
{

    return (BSP_DIAGNOSIS_DIGITALIO_DATA);

}

/*--------------------------------------------------*/
/** 
  * @brief  Get_param_DIGITALIO_input(void)
  * @param  -
  * @return BSP_DIAGNOSIS_DIGITALIO_DATA (High or Low)
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
bool Get_param_DIGITALIO_input(void)
{

    return (BSP_DIAGNOSIS_DIGITALIO_DATA);

}

/*--------------------------------------------------*/
/** 
  * @brief  DIO_DIGITALIO_Low(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void DIO_DIGITALIO_Low(void)
{

    BSP_DIAGNOSIS_DIGITALIO_DATA = GPIO_DISABLE;     /* output Low signal */

}

/*--------------------------------------------------*/
/** 
  * @brief  DIO_DIGITALIO_Low(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
bool Get_param_DIO_SSW1_IE(void)
{

    return (BSP_SSW_1_IE);

}

/*--------------------------------------------------*/
/** 
  * @brief  DIO_DIGITALIO_Low(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
bool Get_param_DIO_SSW1_input(void)
{

    return (BSP_SSW_1_DATA);

}


/*--------------------------------------------------*/
/** 
  * @brief  Get_PSW1_input(void)
  * @param  -
  * @return BSP_PSW_1 input state.
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
bool Get_PSW1_input(void)
{
    return BSP_PSW_1_DATA ;
}

/*--------------------------------------------------*/
/** 
  * @brief  Get_PSW2_input(void)
  * @param  -
  * @return BSP_PSW_2 input state.
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
bool Get_PSW2_input(void)
{
    return BSP_PSW_2_DATA ;
}


/**
 *  @}
 */ /* End of group BSP_CONFIG_SW_Exported_functions */

/**
 *  @}
 */ /* End of group BSP_CONFIG_SW */

/**
 *  @} 
 */ /* End of group BSP */

#endif /* defined(__BSP_CONFIG_SW_H) */

#ifdef __cplusplus
}
#endif /* __cplusplus */


