/** 
 *******************************************************************************
 * @file    bsp_config_timer.c
 * @brief   This file provides all the functions prototypes for TIMER Driver.\n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2020
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "bsp_config_timer.h"

#if defined(__BSP_CONFIG_TIMER_H)

/**
 *  @addtogroup BSP BSP
 *  @{
 */


/** 
 *  @addtogroup BSP_CONFIG_TIMER BSP_CONFIG_TIMER
 *  @{
 */


/*------------------------------------------------------------------------------*/
/*  Macro Function                                                              */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_TIMER_Private_macro BSP_CONFIG_TIMER Private Macro
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_TIMER_Private_macro */


/*------------------------------------------------------------------------------*/
/*  Configuration                                                               */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_TIMER_Private_config BSP_CONFIG_TIMER Private Config
 *  @{
 */


/** 
 *  @}
 */ /* End of group BSP_CONFIG_TIMER_Private_config */


/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_TIMER_Private_define BSP_CONFIG_TIMER Private Define
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_TIMER_Private_define */

/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_TIMER_Private_enum BSP_CONFIG_TIMER Private Enum
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_TIMER_Private_enum */

/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_TIMER_Private_typedef BSP_CONFIG_TIMER Private Typedef
 *  @{
 */
/**
 *  @}
 */ /* End of group BSP_CONFIG_TIMER_Private_typedef */


/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_TIMER_Exported_functions BSP_CONFIG_TIMER Exported Functions
 *  @{
 */
/*--------------------------------------------------*/
/** 
  * @brief  GPIO_T32A1_CAP_Config(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_T32A1_CAP_Config(void)
{

    BSP_T32A_CAPT_1_FR = GPIO_ENABLE;         /* function register     */
    BSP_T32A_CAPT_1_IE = GPIO_ENABLE;         /* input enable register */

}

/*--------------------------------------------------*/
/** 
  * @brief  GPIO_T32A3_PPG1_Config(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_T32A3_PPG1_Config(void)
{

    BSP_T32A_PPG_1_FR = GPIO_ENABLE;         /* function register      */
    BSP_T32A_PPG_1_CR = GPIO_ENABLE;         /* output enable register */

}

/*--------------------------------------------------*/
/** 
  * @brief  GPIO_T32A3_PPG2_Config(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_T32A3_PPG2_Config(void)
{

    BSP_T32A_PPG_2_FR = GPIO_ENABLE;         /* function register      */
    BSP_T32A_PPG_2_CR = GPIO_ENABLE;         /* output enable register */

}

/** 
 *  @}
 */ /* End of group BSP_CONFIG_TIMER_Exported_functions */

/**
 *  @}
 */ /* End of group BSP_CONFIG_TIMER */

/**
 *  @} 
 */ /* End of group BSP */

#endif /* defined(__BSP_CONFIG_TIMER_H) */

#ifdef __cplusplus
}
#endif /* __cplusplus */


