/** 
 *******************************************************************************
 * @file    bsp_config_timer.h
 * @brief   This file provides all the functions prototypes for TIMER Driver.\n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2020
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef __BSP_CONFIG_TIMER_H
#define __BSP_CONFIG_TIMER_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "bsp.h"

/**
 *  @addtogroup BSP BSP
 *  @{
 */


/** 
 *  @addtogroup BSP_CONFIG_TIMER BSP_CONFIG_TIMER
 *  @{
 */


/*------------------------------------------------------------------------------*/
/*  Macro Function                                                              */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_TIMER_Private_macro BSP_CONFIG_TIMER Private Macro
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_TIMER_Private_macro */


/*------------------------------------------------------------------------------*/
/*  Configuration                                                               */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_TIMER_Private_config BSP_CONFIG_TIMER Private Config
 *  @{
 */


/** 
 *  @}
 */ /* End of group BSP_CONFIG_TIMER_Private_config */


/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_TIMER_Private_define BSP_CONFIG_TIMER Private Define
 *  @{
 */

#define BSP_T32A_PPG_1_FR       TSB_PE_FR4_PE2F4
#define BSP_T32A_PPG_1_CR       TSB_PE_CR_PE2C

#define BSP_T32A_PPG_2_FR       TSB_PE_FR4_PE6F4
#define BSP_T32A_PPG_2_CR       TSB_PE_CR_PE6C

#define BSP_T32A_CAPT_1_FR      TSB_PF_FR4_PF3F4
#define BSP_T32A_CAPT_1_IE      TSB_PF_IE_PF3IE

/** 
 *  @}
 */ /* End of group BSP_CONFIG_TIMER_Private_define */

/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_TIMER_Private_emum BSP_CONFIG_TIMER Private Emum
 *  @{
 */


/** 
 *  @}
 */ /* End of group BSP_CONFIG_TIMER_Private_emum */

/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_TIMER_Private_typedef BSP_CONFIG_TIMER Private Typedef
 *  @{
 */
/**
 *  @}
 */ /* End of group BSP_CONFIG_TIMER_Private_typedef */


/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_TIMER_Exported_functions BSP_CONFIG_TIMER Exported Functions
 *  @{
 */
void GPIO_T32A1_CAP_Config(void);
void GPIO_T32A3_PPG1_Config(void);
void GPIO_T32A3_PPG2_Config(void);

/** 
 *  @}
 */ /* End of group BSP_CONFIG_TIMER_Exported_functions */

/**
 *  @}
 */ /* End of group BSP_CONFIG_TIMER */

/**
 *  @} 
 */ /* End of group BSP */

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __BSP_CONFIG_TIMER_H */

