/** 
 *******************************************************************************
 * @file    bsp_config_tspi.c
 * @brief   This file provides all the functions prototypes for TSPI Driver.\n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2020
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "bsp_config_tspi.h"

#if defined(__BSP_CONFIG_TSPI_H)

/**
 *  @addtogroup BSP BSP
 *  @{
 */


/** 
 *  @addtogroup BSP_CONFIG_TSPI BSP_CONFIG_TSPI
 *  @{
 */


/*------------------------------------------------------------------------------*/
/*  Macro Function                                                              */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_TSPI_Private_macro BSP_CONFIG_TSPI Private Macro
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_TSPI_Private_macro */


/*------------------------------------------------------------------------------*/
/*  Configuration                                                               */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_TSPI_Private_config BSP_CONFIG_TSPI Private Config
 *  @{
 */


/** 
 *  @}
 */ /* End of group BSP_CONFIG_TSPI_Private_config */


/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_TSPI_Private_define BSP_CONFIG_TSPI Private Define
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_TSPI_Private_define */

/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_TSPI_Private_enum BSP_CONFIG_TSPI Private Enum
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_TSPI_Private_enum */

/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_TSPI_Private_typedef BSP_CONFIG_TSPI Private Typedef
 *  @{
 */
/**
 *  @}
 */ /* End of group BSP_CONFIG_TSPI_Private_typedef */


/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_TSPI_Exported_functions BSP_CONFIG_TSPI Exported Functions
 *  @{
 */
/*--------------------------------------------------*/
/** 
  * @brief  GPIO_TSPI0_Master_Config(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_TSPI0_Master_Config(void)
{

    BSP_SPI1_TXD_FR = GPIO_ENABLE;      /* FR enable */
    BSP_SPI1_TXD_CR = GPIO_ENABLE;      /* output enable */

    BSP_SPI1_RXD_FR = GPIO_ENABLE;      /* FR enable */
    BSP_SPI1_RXD_IE = GPIO_ENABLE;      /* input enable */

    BSP_SPI1_SCK_FR = GPIO_ENABLE;      /* FR enable */
    BSP_SPI1_SCK_CR = GPIO_ENABLE;      /* output enable */

    BSP_SPI1_CS_FR = GPIO_ENABLE;       /* FR enable */
    BSP_SPI1_CS_CR = GPIO_ENABLE;       /* output enable */

}

/*--------------------------------------------------*/
/** 
  * @brief  GPIO_TSPI0_Slave_Config(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_TSPI0_Slave_Config(void)
{

    BSP_SPI1_TXD_FR = GPIO_ENABLE;      /* FR enable */
    BSP_SPI1_TXD_CR = GPIO_ENABLE;      /* output enable */

    BSP_SPI1_RXD_FR = GPIO_ENABLE;      /* FR enable */
    BSP_SPI1_RXD_IE = GPIO_ENABLE;      /* input enable */

    BSP_SPI1_SCK_FR = GPIO_ENABLE;      /* FR enable */
    BSP_SPI1_SCK_IE = GPIO_ENABLE;      /* input enable */

    BSP_SPI1_CSIN_FR = GPIO_ENABLE;     /* FR enable */
    BSP_SPI1_CSIN_IE = GPIO_ENABLE;     /* input enable */

}

/** 
 *  @}
 */ /* End of group BSP_CONFIG_TSPI_Exported_functions */

/**
 *  @}
 */ /* End of group BSP_CONFIG_TSPI */

/**
 *  @} 
 */ /* End of group BSP */

#endif /* defined(__BSP_CONFIG_TSPI_H) */

#ifdef __cplusplus
}
#endif /* __cplusplus */


