/** 
 *******************************************************************************
 * @file    bsp_config_tspi.h
 * @brief   This file provides all the functions prototypes for TSPI Driver.\n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2020
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef __BSP_CONFIG_TSPI_H
#define __BSP_CONFIG_TSPI_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "bsp.h"

/**
 *  @addtogroup BSP BSP
 *  @{
 */


/** 
 *  @addtogroup BSP_CONFIG_TSPI BSP_CONFIG_TSPI
 *  @{
 */


/*------------------------------------------------------------------------------*/
/*  Macro Function                                                              */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_TSPI_Private_macro BSP_CONFIG_TSPI Private Macro
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_TSPI_Private_macro */


/*------------------------------------------------------------------------------*/
/*  Configuration                                                               */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_TSPI_Private_config BSP_CONFIG_TSPI Private Config
 *  @{
 */


/** 
 *  @}
 */ /* End of group BSP_CONFIG_TSPI_Private_config */


/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_TSPI_Private_define BSP_CONFIG_TSPI Private Define
 *  @{
 */

#define BSP_SPI1_TXD_FR         TSB_PA_FR1_PA3F1        /*!< function register */
#define BSP_SPI1_TXD_CR         TSB_PA_CR_PA3C          /*!< output enable register */

#define BSP_SPI1_RXD_FR         TSB_PA_FR1_PA2F1        /*!< function register */
#define BSP_SPI1_RXD_IE         TSB_PA_IE_PA2IE         /*!< input enable register */

#define BSP_SPI1_SCK_FR         TSB_PA_FR1_PA4F1        /*!< function register */
#define BSP_SPI1_SCK_CR         TSB_PA_CR_PA4C          /*!< output enable register */
#define BSP_SPI1_SCK_IE         TSB_PA_IE_PA4IE         /*!< input enable register */

#define BSP_SPI1_CS_FR          TSB_PC_FR3_PC2F3        /*!< function register */
#define BSP_SPI1_CS_CR          TSB_PC_CR_PC2C          /*!< output enable register */

#define BSP_SPI1_CSIN_FR        TSB_PA_FR1_PA0F1        /*!< function register */
#define BSP_SPI1_CSIN_IE        TSB_PA_IE_PA0IE         /*!< input enable register */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_TSPI_Private_define */

/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_TSPI_Private_emum BSP_CONFIG_TSPI Private Emum
 *  @{
 */


/** 
 *  @}
 */ /* End of group BSP_CONFIG_TSPI_Private_emum */

/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_TSPI_Private_typedef BSP_CONFIG_TSPI Private Typedef
 *  @{
 */
/**
 *  @}
 */ /* End of group BSP_CONFIG_TSPI_Private_typedef */


/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_TSPI_Exported_functions BSP_CONFIG_TSPI Exported Functions
 *  @{
 */
void GPIO_TSPI0_Master_Config(void);
void GPIO_TSPI0_Slave_Config(void);

/** 
 *  @}
 */ /* End of group BSP_CONFIG_TSPI_Exported_functions */

/**
 *  @}
 */ /* End of group BSP_CONFIG_TSPI */

/**
 *  @} 
 */ /* End of group BSP */

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __BSP_CONFIG_TSPI_H */

