/** 
 *******************************************************************************
 * @file    bsp_config_uart.c
 * @brief   This file provides all the functions prototypes for UART Driver.\n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2020
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "bsp_config_uart.h"

#if defined(__BSP_CONFIG_UART_H)

/**
 *  @addtogroup BSP BSP
 *  @{
 */


/** 
 *  @addtogroup BSP_CONFIG_UART BSP_CONFIG_UART
 *  @{
 */


/*------------------------------------------------------------------------------*/
/*  Macro Function                                                              */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_UART_Private_macro BSP_CONFIG_UART Private Macro
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_UART_Private_macro */


/*------------------------------------------------------------------------------*/
/*  Configuration                                                               */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_UART_Private_config BSP_CONFIG_UART Private Config
 *  @{
 */


/** 
 *  @}
 */ /* End of group BSP_CONFIG_UART_Private_config */


/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_UART_Private_define BSP_CONFIG_UART Private Define
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_UART_Private_define */

/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_UART_Private_enum BSP_CONFIG_UART Private Enum
 *  @{
 */

/** 
 *  @}
 */ /* End of group BSP_CONFIG_UART_Private_enum */

/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_UART_Private_typedef BSP_CONFIG_UART Private Typedef
 *  @{
 */
/**
 *  @}
 */ /* End of group BSP_CONFIG_UART_Private_typedef */


/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup BSP_CONFIG_UART_Exported_functions BSP_CONFIG_UART Exported Functions
 *  @{
 */
/*--------------------------------------------------*/
/** 
  * @brief  GPIO_UART0_Config(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_UART0_Config(void)
{

    BSP_UART1_TXD_DATA = GPIO_ENABLE;   /* Data output enable */
    BSP_UART1_TXD_FR = GPIO_ENABLE;     /* FR enable */
    BSP_UART1_TXD_CR = GPIO_ENABLE;     /* Select output mode */

    BSP_UART1_RXD_IE = GPIO_ENABLE;     /* Select input mode */
    BSP_UART1_RXD_FR = GPIO_ENABLE;     /* FR enable */

}


/* Self-Diagnosis */
/*--------------------------------------------------*/
/** 
  * @brief  GPIO_UART0test_Config(void)
  * @param  -
  * @return -
  * @retval -
  * @note   -
  * @attention This function is not available in interrupt.
  */
/*--------------------------------------------------*/
void GPIO_UART0test_Config(void)
{

    /* Data output 1 on UT0TXDA */
    UT0TXD_DATA = GPIO_ENABLE;
    /* Select not function mode on UT0TXDA */
    UT0TXD_FR2 = GPIO_DISABLE;
    UT0TXD_FR4 = GPIO_DISABLE;
    UT0TXD_FR5 = GPIO_DISABLE;
    UT0TXD_FR6 = GPIO_DISABLE;
    /* Select not input mode on UT0TXDA */
    UT0TXD_IE = GPIO_DISABLE;
    /* Select function mode on UT0TXDA */
    UT0TXD_FR1 = GPIO_ENABLE;
    /* Select output mode on UT0TXDA */
    UT0TXD_CR = GPIO_ENABLE;
    
    /* Select not function mode on UT0RXD */
    UT0RXD_FR2 = GPIO_DISABLE;
    UT0RXD_FR4 = GPIO_DISABLE;
    UT0RXD_FR5 = GPIO_DISABLE;
    UT0RXD_FR6 = GPIO_DISABLE;
    /* Select input mode on UT0RXD */
    UT0RXD_IE = GPIO_ENABLE;
    /* (9) Select function mode on UT0RXD */
    UT0RXD_FR1 = GPIO_ENABLE;
    /* (10) Select not output mode on UT0RXD */
    UT0RXD_CR = GPIO_DISABLE;

}

/** 
 *  @}
 */ /* End of group BSP_CONFIG_UART_Exported_functions */

/**
 *  @}
 */ /* End of group BSP_CONFIG_UART */

/**
 *  @} 
 */ /* End of group BSP */

#endif /* defined(__BSP_UART_H) */

#ifdef __cplusplus
}
#endif /* __cplusplus */


