/** 
 *******************************************************************************
 * @file    main.c
 * @brief   DNF Sample Application.\n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2020
 *******************************************************************************
 */
#ifdef __cplusplus
 extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "TSB_CMSIS_CORE.h"  /*!< Group Header file. */
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "cg.h"
#include "dnf.h"
#include "except.h"
#include "bsp_led.h"
#include "bsp_sw.h"

/**
 *  @addtogroup Example
 *  @{
 */

/** 
 *  @addtogroup DNF DNF Sample Appli
 *  @{
 */
/*------------------------------------------------------------------------------*/
/*  Configuration                                                              */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup DNF_Private_Configuration DNF Private Configuration
 *  @{
 */
#define NFCKS_SEL   DNF_NFCKCR_NFCKS_CLOCK_2
/** 
 *  @}
 */ /* End of group DNF_Private_Configuration */
/*------------------------------------------------------------------------------*/
/*  Macro Function                                                              */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup DNF_Private_macro DNF Private Macro
 *  @{
 */
/** 
 *  @}
 */ /* End of group DNF_Private_macro */

/*------------------------------------------------------------------------------*/
/*  Private Function                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup DNF_Private_fuctions DNF Private Fuctions
 *  @{
 */

/**
 *  @}
 */ /* End of group DNF_Private_fuctions */

/*------------------------------------------------------------------------------*/
/*  Public Function                                                             */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup DNF_Exported_functions DNF Exported Functions
 *  @{
 */
/*--------------------------------------------------*/
/** 
  * @brief  Main Function.
  * @param  -
  * @return -
  * @retval -
  * @note   -
  */
/*--------------------------------------------------*/
int main(void)
{
    /*------------------------*/
    /* Port Setting           */
    /*------------------------*/
    GPIO_LED_enable_fsys();
    GPIO_LED_Config();
    GPIO_SW_enable_fsys();
    GPIO_SW_Config();
    /*------------------------*/
    /* DNF Setting           */
    /*------------------------*/
    DNF_C_enable_fsys();
    DNF_C_Config( (uint32_t)NFCKS_SEL );

    /*--- IBIMC069: Enable ---*/
    INT21_enable_IMC069();
    /* Interrupt Enable */
    NVIC_EnableIRQ( INT21_IRQn );
    while(1)
    {
    }
}

/*--------------------------------------------------*/
/** 
  * @brief  INT21 IRQ Handler
  * @param  -
  * @return -
  * @retval -
  * @note   -
  */
/*--------------------------------------------------*/
void INT21_IRQHandler(void)
{
    /*--- IBIMC069: INTxCLR ---*/
    Clear_flag_INTPCLR_IMC069();
    GPIO_LED1_FLIP();
}

/**
 *  @}
 */ /* End of group DNF_Exported_functions */

/**
 *  @}
 */ /* End of group DNF */

/**
 *  @} 
 */ /* End of group Example */

#ifdef __cplusplus
}
#endif /* __cplusplus */
