/**
 *****************************************************************************
 * @file     configration.h
 * @brief    CMSIS Cortex-M4 Device Peripheral Access Layer Header File.\n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2020
 *****************************************************************************
 */

#ifndef __CONFIGRATION_H
#define __CONFIGRATION_H

#ifdef __cplusplus
extern "C" {
#endif 

/* Define clocks */
#define IOSC_10M                (10000000UL)
#define IXTALH                  IOSC_10M        /* Internal high-speed oscillator freq */

#define EOSC_6M                 (6000000UL)
#define EOSC_8M                 (8000000UL)
#define EOSC_10M                (10000000UL)
#define EOSC_12M                (12000000UL)
#define EXTALH                  EOSC_10M        /* External high-speed oscillator freq */

#define FIXED_CLK_SEL           FIXED_160MHz
#define FIXED_6MHz              (6000000UL)
#define FIXED_8MHz              (8000000UL)
#define FIXED_10MHz             (10000000UL)
#define FIXED_12MHz             (12000000UL)
#define FIXED_40MHz             (40000000UL)
#define FIXED_80MHz             (80000000UL)
#define FIXED_160MHz            (160000000UL)


#ifdef __cplusplus
}
#endif

#endif
