/**
 *******************************************************************************
 * @file    rda_dnf_a.c
 * @brief   This file provides API functions for DNF rda.\n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2020
 *******************************************************************************
 */

#ifdef __cplusplus
 extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "dnf.h"

#if defined(__DNF_H)
/**
 *  @addtogroup Periph_Driver Peripheral Driver
 *  @{
 */

/** 
 *  @addtogroup RDA_DNF RDA_DNF
 *  @{
 */

/*------------------------------------------------------------------------------*/
/*  Configuration                                                               */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_DNF_Private_config RDA_DNF Private Config
 *  @{
 */

/* no define */

/** 
 *  @}
 */ /* End of group RDA_DNF_Private_config */

/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_DNF_Private_define RDA_DNF Private Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group RDA_DNF_Private_define */


/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_DNF_Private_enum RDA_DNF Private Enum
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group RDA_DNF_Private_enum */

/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_DNF_Private_typedef RDA_DNF Private Typedef
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group RDA_DNF_Private_typedef */

/*------------------------------------------------------------------------------*/
/*  Variable Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_DNF_Private_variable RDA_DNF Private Variable
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group RDA_DNF_Private_variable */

/*------------------------------------------------------------------------------*/
/*  Exported Function                                                           */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_DNF_Private_fuctions RDA_DNF Exported Fuctions
 *  @{
 */

/*--------------------------------------------------*/
/**
  * @brief     DegitalNoiseFilter_B_Config
  * @param     -
  * @note      -
  */
/*--------------------------------------------------*/
void DNF_B_Config(void)
{
    TSB_DNFB->CKCR = DNF_NFCKCR_NFCKS_CLOCK_128;
    TSB_DNFB_ENCR_NFEN11 = 1;                    /* INT17a noise filter enable */
    TSB_DNFB_ENCR_NFEN12 = 1;                    /* INT17b noise filter enable */
}

/*--------------------------------------------------*/
/**
  * @brief     DegitalNoiseFilter_C_Config
  * @param     nfckcr
  * @note      -
  */
/*--------------------------------------------------*/
void DNF_C_Config(uint32_t nfckcr)
{
    TSB_DNFC->CKCR = nfckcr ;
    TSB_DNFC_ENCR_NFEN3 = 1;                    /* INT21 noise filter enable */
}

/**
 *  @}
 */ /* End of group RDA_DNF_Exported_functions */

/**
 *  @} 
 */ /* End of group RDA_DNF */

/**
 *  @} 
 */ /* End of group Periph_Driver */

#endif /* defined(__DNF_C_H)  */

#ifdef __cplusplus
}
#endif /* __cplusplus */

