/** 
 *******************************************************************************
 * @file    rda_except_m4k2_0p5.h
 * @brief   This file provides rda_except definition.\n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2020
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef __RDA_EXCEPT_M4K2_0P5_H
#define __RDA_EXCEPT_M4K2_0P5_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "TSB_CMSIS_CORE.h"
#include "driver_com.h"
  

/**
 *  @addtogroup Periph_Driver Peripheral Driver
 *  @{
 */

/** 
 *  @addtogroup RDA_EXCEPT_M4K2 RDA_EXCEPT_M4K2
 *  @brief    EXCEPT Driver.
 *  @{
 */
/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_EXCEPT_M4K2_Private_define RDA_EXCEPT_M4K2 Private Define
 *  @{
 */

#define TSB_IMN_FLG4_INT157FLG          (*((__I  uint32_t *)BITBAND_PERI(&TSB_IMN->FLG4,29)))
#define TSB_IMN_FLG4_INT158FLG          (*((__I  uint32_t *)BITBAND_PERI(&TSB_IMN->FLG4,30)))

#define TSB_RLM1_OFDRSTF                ((uint8_t)0x08)
#define TSB_RLM1_OFDRSTF_CLEAR          ((uint8_t)0xF7)

#define IMNFLGNMI_INT016FLG             ((uint32_t)0x00010000)    /*!< INT016FLG :[R] :INTWDT0      */

/**
 *  @}
 */ /* End of group RDA_EXCEPT_M4K2_Private_define */


/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_EXCEPT_M4K2_Private_enum RDA_EXCEPT_M4K2 Private Enum
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group RDA_EXCEPT_M4K2_Private_enum */


/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_EXCEPT_M4K2_Private_typedef RDA_EXCEPT_M4K2 Private Typedef
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group RDA_EXCEPT_M4K2_Private_typedef */

/*------------------------------------------------------------------------------*/
/*  Exported Functions                                                          */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_EXCEPT_M4K2_Exported_functions RDA_EXCEPT_M4K2 Exported Functions
 *  @{
 */

void INT17a_enable_IMC061(void);
void INT17b_enable_IMC062(void);
void INT21_enable_IMC069(void);
bool Get_param_INT016FLG(void);
bool Get_param_INT157FLG(void);
bool Get_param_INT158FLG(void);
bool Get_param_INT165FLG(void);
bool Get_param_RLM1_OFDRSTF(void);
void Clear_flag_INTNCLR_IMC061(void);
void Clear_flag_INTNCLR_IMC062(void);
void Clear_flag_INTPCLR_IMC069(void);
void Clear_flag_RLM1_OFDRSTF(void);
void Clear_flag_IBNIC00_INTPCLR(void);

/* Self-Diagnosis */

/**
 *  @}
 */ /* End of group RDA_EXCEPT_M4K2_Exported_functions */

/**
 *  @}
 */ /* End of group RDA_EXCEPT_M4K2 */

/**
 *  @}
 */ /* End of group Periph_Driver */

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __RDC_EXCEPT_M4K2_0p1_H */


