/** 
 *******************************************************************************
 * @file    rda_ofd_a.h
 * @brief   This file provides rda_ofd definition.\n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2020
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef __RDA_OFD_A_H
#define __RDA_OFD_A_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "driver_com.h"
#include "sys_timer.h"
  

/**
 *  @addtogroup Periph_Driver Peripheral Driver
 *  @{
 */

/** 
 *  @addtogroup RDA_OFD RDA_OFD
 *  @brief    OFD Driver.
 *  @{
 */
/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_OFD_Private_define RDA_OFD Private Define
 *  @{
 */

/** 
 *  @addtogroup NULL_Pointer NULL Pointer
 *  @brief    NULL Pointer.
 *  @{
 */
#define OFD_NULL        ((void *)0)
/**
 *  @}
 */ /* End of group NULL_Pointer */



/** 
 *  @addtogroup Parameter_Result Parameter Result
 *  @brief    Whether the parameter is specified or not.
 *  @{
 */
#define OFD_PARAM_OK             ((int32_t)1)              /*!< Parameter is valid(specified).         */
#define OFD_PARAM_NG             ((int32_t)0)              /*!< Parameter is invalid(not specified).   */
/**
 *  @}
 */ /* End of group Parameter_Result Parameter Result */

/**
 *  @}
 */ /* End of group RDA_OFD_Private_define */


/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_OFD_Private_enum RDA_OFD Private Enum
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group RDA_OFD_Private_enum */


/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_OFD_Private_typedef RDA_OFD Private Typedef
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group RDA_OFD_Private_typedef */

/*------------------------------------------------------------------------------*/
/*  Exportd Member                                                              */
/*------------------------------------------------------------------------------*/
/**
 *  @addtogroup OFD_Exported_variables OFD Exported Variables
 *  @{
 */

/**
 *  @}
 */ /* End of group OFD_Exported_variables */

/*------------------------------------------------------------------------------*/
/*  Exported Functions                                                          */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_OFD_Exported_fuctions RDA_OFD Exported Fuctions
 *  @{
 */

bool OFD_Config(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t);


/* Self-Diagnosis */
void CLOCKIRQ_OFD_Config(uint32_t, uint32_t, uint32_t);
bool Get_param_OFD_OFDBUSY(void);
bool Get_param_OFD_FRQERR(void);

/**
 *  @}
 */ /* End of group RDA_OFD_Exported_functions */

/**
 *  @}
 */ /* End of group RDA_OFD */

/**
 *  @}
 */ /* End of group Periph_Driver */

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __RDC_OFD_A_H */

