/**
 *******************************************************************************
 * @file    rda_ramp_b.c
 * @brief   This file provides API functions for RAMP rda.\n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2020
 *******************************************************************************
 */

#ifdef __cplusplus
 extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "rpar.h"

#if defined(__RAMP_H)
/**
 *  @addtogroup Periph_Driver Peripheral Driver
 *  @{
 */

/** 
 *  @addtogroup RDA_RAMP RDA_RAMP
 *  @{
 */

/*------------------------------------------------------------------------------*/
/*  Configuration                                                               */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_RAMP_Private_config RDA_RAMP Private Config
 *  @{
 */


/** 
 *  @}
 */ /* End of group RDA_RAMP_Private_config */

/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_RAMP_Private_define RDA_RAMP Private Define
 *  @{
 */

/**
 *  @}
 */ /* End of group RDA_RAMP_Private_define */


/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_RAMP_Private_define RDA_RAMP Private Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group RDA_RAMP_Private_enum */

/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_RAMP_Private_typedef RDA_RAMP Private Typedef
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group RDA_RAMP_Private_typedef */

/*------------------------------------------------------------------------------*/
/*  Variable Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_RAMP_Private_variable RDA_RAMP Private Variable
 *  @{
 */
/* no define */
/**
 *  @}
 */ /* End of group RAMP_Private_variable */

/*------------------------------------------------------------------------------*/
/*  Exported Function                                                           */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_RAMP_Exported_fuctions RDA_RAMP Exported Fuctions
 *  @{
 */


/*--------------------------------------------------*/
/** 
  * @brief  RAMP0_Config
  * @param[in] -
  * @return -
  * @retval -
  * @note   -
  */
/*--------------------------------------------------*/
void RAMP0_Config(void)
{
    uint32_t i;

    /* Enable the RAM Parity Control */
    TSB_RPAR0_CTL_RPAREN = RAMP_RAMPCTL_RAMPEN_ENABLE;
    for( i = 0; i < cfg_data_length; i++ )
    {
        ram1[i] = 0;
    }
    TSB_RPAR0->CTL = RAMP_RAMPCTL_RAMPF_ENABLE | RAMP_RAMPCTL_RAMPEN_ENABLE;
}

/*--------------------------------------------------*/
/** 
  * @brief  Get_param_RPAR_ST
  * @param[in] -
  * @return status
  * @retval -
  * @note   -
  */
/*--------------------------------------------------*/
uint32_t Get_param_RPAR_ST(void)
{

    return (TSB_RPAR0->ST);

}



/**
 *  @}
 */ /* End of group RDA_RAMP_Exported_functions */

/**
 *  @} 
 */ /* End of group RDA_RAMP */

/**
 *  @} 
 */ /* End of group Periph_Driver */

#endif /* defined(__RAMP_H)  */

#ifdef __cplusplus
}
#endif /* __cplusplus */

