/**
 *******************************************************************************
 * @file    rda_siwdt_a.c
 * @brief   This file provides API functions for SIWDT rda.\n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2020
 *******************************************************************************
 */

#ifdef __cplusplus
 extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "siwdt.h"

#if defined(__SIWDT_H)
/**
 *  @addtogroup Periph_Driver Peripheral Driver
 *  @{
 */

/** 
 *  @addtogroup RDA_SIWDT RDA_SIWDT
 *  @{
 */

/*------------------------------------------------------------------------------*/
/*  Configuration                                                               */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_SIWDT_Private_config RDA_SIWDT Private Config
 *  @{
 */


/** 
 *  @}
 */ /* End of group RDA_SIWDT_Private_config */

/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_SIWDT_Private_define RDA_SIWDT Private Define
 *  @{
 */

/**
 *  @}
 */ /* End of group RDA_SIWDT_Private_define */


/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_SIWDT_Private_define RDA_SIWDT Private Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group RDA_SIWDT_Private_enum */

/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_SIWDT_Private_typedef RDA_SIWDT Private Typedef
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group RDA_SIWDT_Private_typedef */

/*------------------------------------------------------------------------------*/
/*  Variable Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_SIWDT_Private_variable RDA_SIWDT Private Variable
 *  @{
 */
/* no define */
/**
 *  @}
 */ /* End of group SIWDT_Private_variable */

/*------------------------------------------------------------------------------*/
/*  Exported Function                                                           */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_SIWDT_Exported_fuctions RDA_SIWDT Exported Fuctions
 *  @{
 */

/*--------------------------------------------------*/
/** 
  * @brief  disable_SIWDT
  * @param[in] -
  * @return -
  * @retval -
  * @note   -
  */
/*--------------------------------------------------*/
void disable_SIWDT(void)
{
    TSB_SIWD0->EN = SIWDxEN_WDTE_RW_DISABLE;
    TSB_SIWD0->CR = SIWDxCR_WDCR_W_DISABLE;
}

/*--------------------------------------------------*/
/** 
  * @brief  enable_SIWDT
  * @param[in] -
  * @return -
  * @retval -
  * @note   -
  */
/*--------------------------------------------------*/
void enable_SIWDT(void)
{
    TSB_SIWD0->EN = SIWDxEN_WDTE_RW_ENABLE;
}

/*--------------------------------------------------*/
/** 
  * @brief  Set_WDCR_clear_code
  * @param[in] -
  * @return -
  * @retval -
  * @note   -
  */
/*--------------------------------------------------*/
void Set_WDCR_clear_code(void)
{
    TSB_SIWD0->CR = SIWDxCR_WDCR_W_CLEAR;
}

/*--------------------------------------------------*/
/** 
  * @brief  SIWDT_Config
  * @param[in] -
  * @return -
  * @retval -
  * @note   -
  */
/*--------------------------------------------------*/
void SIWDT_Config(void)
{
    TSB_SIWD0->MOD = SIWDxMOD_INIT;
}



/**
 *  @}
 */ /* End of group RDA_SIWDT_Exported_functions */

/**
 *  @} 
 */ /* End of group RDA_SIWDT */

/**
 *  @} 
 */ /* End of group Periph_Driver */

#endif /* defined(__SIWDT_H)  */

#ifdef __cplusplus
}
#endif /* __cplusplus */

