/** 
 *******************************************************************************
 * @file    rda_tspi_dma_b.h
 * @brief   External reference declaration for TSPI input/output.\n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2020
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef __RDA_TSPI_DMA_H
#define __RDA_TSPI_DMA_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "bsp.h"
#include "system.h"
#include "configration.h"

/**
 *  @addtogroup Periph_Driver Peripheral Driver
 *  @{
 */

/** 
 *  @addtogroup RDA_TSPI_DMA RDA_TSPI_DMA
 *  @{
 */

/*------------------------------------------------------------------------------*/
/*  Private Definition                                                          */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup TSPI_DMA_Private_Define TSPI_DMA Private Enum
 *  @{
 */
/** 
 *  @addtogroup DataLengtheConfiguration Data Length Configuration
 *  @brief    Data Length Configuration.
 *  @{
 */
#define CFG_DATA_LENGTH            ((uint32_t)16)
/** 
 *  @}
 */ /* End of group TSPI_DMA_Private_Define */

/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup TSPI_DMA_Exported_functions TSPI_DMA Exported Functions
 *  @{
 */
void DMA_Config(void);
bool TSPI_DMA_Trans(uint32_t num, uint8_t *send_buf);
bool TSPI_DMA_Receive(uint32_t num);
void transmit_handler(TXZ_Result result);
void receive_handler(TXZ_Result result);
void dma_irq_handler(uint32_t ch);

/** 
 *  @}
 */ /* End of group TSPI_DMA_Exported_functions */

/**
 *  @}
 */ /* End of group RDA_TSPI_DMA */

/**
 *  @} 
 */ /* End of group Example */

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __TSPI_DMA_H */

