/** 
 *******************************************************************************
 * @file    rda_uart_c.h
 * @brief   This file provides rda_uart definition.\n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2020
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef __RDA_UART_H
#define __RDA_UART_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "TSB_CMSIS_CORE.h"
#include "driver_com.h"
  

/**
 *  @addtogroup Periph_Driver Peripheral Driver
 *  @{
 */

/** 
 *  @addtogroup RDA_UART RDA_UART
 *  @brief    UART Driver.
 *  @{
 */
/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_UART_Private_define RDA_UART Private Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group RDA_UART_Private_define */


/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_UART_Private_enum RDA_UART Private Enum
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group RDA_UART_Private_enum */


/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_UART_Private_typedef RDA_UART Private Typedef
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group RDA_UART_Private_typedef */

/*------------------------------------------------------------------------------*/
/*  Exported Functions                                                          */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_UART_Exported_functions RDA_UART Exported Functions
 *  @{
 */
void UART0_TX_Config(void);
void UART0_RX_Config(void);

void disable_UART0_TXE(void);
void enable_UART0_TXE(void);
void disable_UART0_RXE(void);
void enable_UART0_RXE(void);
bool Get_param_UART0_TXRUN(void);
bool Get_param_UART0_RXRUN(void);
uint32_t Get_UART0_DR_value(void);
void Set_UART0_DR_value(uint32_t value);
void Clear_flag_UART0_TXEND(void);
void Clear_flag_UART0_RXEND(void);

void UART0_TX_DMAC_Config(void);
void UART0_RX_DMAC_Config(void);
void Clear_allflag_UART0_ERR(void);
uint32_t Get_UART0_Fill_level(void);
bool Get_param_UART0_OVRERR(void);
void Clear_flag_UART0_OVRERR(void);

/* Self-Diagnosis */
void UART0test_Config(void);
void UART0test_disable_INT(void);
void Set_param_UART0_LPB(void);


/**
 *  @}
 */ /* End of group RDA_UART_Exported_functions */

/**
 *  @}
 */ /* End of group RDA_UART */

/**
 *  @}
 */ /* End of group Periph_Driver */

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __RDC_UART_C_H */


