/** 
 *******************************************************************************
 * @file    rda_uart_io_dma_b.h
 * @brief   External reference declaration for UART input/output.\n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2020
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef __RDA_UART_IO_DMA_H
#define __RDA_UART_IO_DMA_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "bsp.h"
#include "system.h"
#include "configration.h"

/**
 *  @addtogroup Periph_Driver Peripheral Driver
 *  @{
 */

/** 
 *  @addtogroup RDA_UART_IO_DMA RDA_UART_IO_DMA
 *  @{
 */

/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_UART_IO_DMA_Exported_define RDA_UART_IO_DMA Exported Define
 *  @{
 */

#define UART_IO_DMA_SEND_MAX       ((uint32_t)32)   /*!< Size of send max. (byte)    */
#define UART_IO_DMA_RECEIVE_MAX    ((uint32_t)32)   /*!< Size of receive max. (byte) */
/** 
 *  @}
 */ /* End of group RDA_UART_IO_DMA_Exported_define */


/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_UART_IO_DMA_Exported_enum RDA_UART_IO_DMA Exported Enum
 *  @{
 */
/** 
 *  @}
 */ /* End of group RDA_UART_IO_DMA_Exported_enum */

/** 
 *  @addtogroup RDA_UART_IO_DMA_Exported_typedef RDA_UART_IO_DMA Exported Typedef
 *  @{
 */
/**
 *  @}
 */ /* End of group RDA_UART_IO_DMA_Exported_typedef */

/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup RDA_UART_IO_DMA_Exported_functions RDA_UART_IO_DMA Exported Functions
 *  @{
 */
void DMA_Config(void);
bool UART_DMA_Trans(uint32_t num);
bool UART_DMA_Receive(uint32_t num);
void dma_irq_handler(uint32_t ch);

/** 
 *  @}
 */ /* End of group RDA_UART_IO_DMA_Exported_functions */

/**
 *  @}
 */ /* End of group RDA_UART_IO_DMA */

/**
 *  @} 
 */ /* End of group Periph_Driver */

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __RDA_UART_IO_DMA_H */

