/** 
 *******************************************************************************
 * @file    sys_timer.h
 * @brief   This file provides all the functions prototypes for driver common part.\n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2020
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef __SYS_TIMER_H
#define __SYS_TIMER_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "TSB_CMSIS_CORE.h"

/**
 *  @addtogroup UTILITY UTILITY
 *  @{
 */

/** 
 *  @addtogroup SYS_TIMER
 *  @brief    SYS_TIMER Driver.
 *  @{
 */
/*------------------------------------------------------------------------------*/
/*  Macro Function                                                              */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup SYS_TIMER_Exported_macro SYS_TIMER Exported Macro
 *  @{
 */

/* no define */

/** 
 *  @}
 */ /* End of group SYS_TIMER_Exported_macro */


/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup SYS_TIMER_Exported_define SYS_TIMER Exported Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group SYS_TIMER_Exported_define */


/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup SYS_TIMER_Exported_define SYS_TIMER Exported Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group SYS_TIMER_Exported_define */


/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup SYS_TIMER_Exported_typedef SYS_TIMER Exported Typedef
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group SYS_TIMER_Exported_typedef */

/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup SYS_TIMER_Exported_functions SYS_TIMER Exported Functions
 *  @{
 */

void wait(uint32_t count);

/**
 *  @}
 */ /* End of group SYS_TIMER_Exported_functions */

/**
 *  @}
 */ /* End of group SYS_TIMER */

/**
 *  @}
 */ /* End of group UTILITY */

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __SYS_TIMER_H */


